%define name	unzip
%define version 5.52
%define release %mkrel 3
%define src_ver	%(echo %version|sed "s/\\.//"g)

Summary:	Unpacks ZIP files such as those made by pkzip under DOS
Name:		%{name}
Version:	%{version}
Release:	%{release}
Source0:	http://ftp.info-zip.org/pub/infozip/src/%{name}%{src_ver}.tar.bz2
Patch1:		unzip542-size-64bit.patch
Patch2:		unzip-5.52-CAN-2005-2475.patch
Patch3:		unzip-5.52-CVE-2005-4667.patch
URL:		http://www.info-zip.org/pub/infozip/UnZip.html
License:	BSD-like
Group:		Archiving/Compression
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
unzip will list, test, or extract files from a ZIP archive, commonly found
on MS-DOS systems. A companion program, zip, creates ZIP archives; both
programs are compatible with archives created by PKWARE's PKZIP and
PKUNZIP for MS-DOS, but in many cases the program options or default
behaviors differ.

This version also has encryption support.

%prep

%setup -q
%patch1 -p0
%patch2 -p1 -b .can-2005-2475
%patch3 -p1 -b .cve-2005-4667

%build
%ifarch %{ix86}
#gw FIXME: do we still need to disable LZW?
%make -ef unix/Makefile linux CF="-DLZW_CLEAN %{optflags} -Wall -I. -DASM_CRC" CC=gcc LD=gcc AS=gcc AF="-Di386" CRC32=crc_gcc
%else
%make -ef unix/Makefile linux_noasm CF="-DLZW_CLEAN %{optflags} -Wall -I."
%endif

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

mkdir -p %{buildroot}{%{_bindir},%{_mandir}/man1}

ln -sf unzip zipinfo
for i in unzip funzip unzipsfx zipinfo;	do install $i %{buildroot}%{_bindir}; done
install unix/zipgrep %{buildroot}%{_bindir}

for i in man/*.1; do install -m 644 $i %{buildroot}%{_mandir}/man1/; done

cat > README.IMPORTANT.Mandriva << EOF
This version of unzip is a stripped-down version which doesn't include
the "unreduce" and "unshrink" algorithms. The first one is subject to
a restrictive copyright by Samuel H. Smith which forbids its use in
commercial products; and Unisys claimed a patent ("Welsh patent") on the 
second one (while their licensing would seem to mean that an
extractor-only program would not be covered).

Since the rest of the code is copyrighted by Info-Zip under a BSD-like
license, this Mandriva package is covered by this license.

Please note that currently, default compilation of the Info-Zip
distribution also excludes the unreduce and unshrink code.

Please contact Mandriva at <bugs@mandriva.com> if you have
any problems regarding this issue.
EOF

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc BUGS COPYING.OLD Contents History.* INSTALL README ToDo WHERE README.IMPORTANT.Mandriva
%doc proginfo/
%{_bindir}/*
%{_mandir}/man1/*




%changelog
* Sun Sep 16 2007 Thierry Vignaud <tvignaud@mandriva.com> 5.52-3mdv2008.0
+ Revision: 87711
- kill changelog left by repsys


* Tue Jan 30 2007 Götz Waschk <waschk@mandriva.org> 5.52-2mdv2007.0
+ Revision: 115447
- Import unzip

* Tue Jan 30 2007 Gtz Waschk <waschk@mandriva.org> 5.52-2mdv2007.1
- unpack patches

* Thu Mar 16 2006 Olivier Blin <oblin@mandriva.com> 5.52-2mdk
- from Stew Benedict: security update for CAN-2005-2475 (P2)
- from Vincent Danen: security fix for CVE-2005-4667 (P3)

* Thu May 05 2005 Gtz Waschk <waschk@mandriva.org> 5.52-1mdk
- drop patch 0 and define LZW_CLEAN instead
- better source URL
- New release 5.52

* Mon May 31 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 5.51-1mdk
- fixes multiple vulnerabilities

